| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
boost::AlgoNodeStruct Struct Reference

`#include <src/PrecedenceRulesGraph.h>`

Collaboration diagram for boost::AlgoNodeStruct:
[legend]

## Public Member Functions
| AlgoNodeStruct ()
| AlgoNodeStruct (const std::string &name, const int index=-1, const int &rank=-1, const double &runtime=-1, const double &eccentricity=-1.0)

## Public Attributes
std::string | m_name
int | m_index
int | m_rank
double | m_runtime
double | m_eccentricity

## Detailed Description

Definition at line 26 of file PrecedenceRulesGraph.h.

## Constructor & Destructor Documentation

boost::AlgoNodeStruct::AlgoNodeStruct | ( |  | ) |
| inline

Definition at line 27 of file PrecedenceRulesGraph.h.

27 {}

boost::AlgoNodeStruct::AlgoNodeStruct | ( | const std::string & | name,
|  | const int | index = `-1`,
|  | const int & | rank = `-1`,
|  | const double & | runtime = `-1`,
|  | const double & | eccentricity = `-1.0`
| ) |  |
| inline

Definition at line 28 of file PrecedenceRulesGraph.h.

28 :
29 m_name(name), m_index(index), m_rank(rank), m_runtime(runtime), m_eccentricity(eccentricity) {}
boost::AlgoNodeStruct::m_index
int m_index
Definition: PrecedenceRulesGraph.h:31
boost::AlgoNodeStruct::m_rank
int m_rank
Definition: PrecedenceRulesGraph.h:32
boost::AlgoNodeStruct::m_runtime
double m_runtime
Definition: PrecedenceRulesGraph.h:33
boost::AlgoNodeStruct::m_eccentricity
double m_eccentricity
Definition: PrecedenceRulesGraph.h:34
boost::AlgoNodeStruct::m_name
std::string m_name
Definition: PrecedenceRulesGraph.h:30

## Member Data Documentation

double boost::AlgoNodeStruct::m_eccentricity

Definition at line 34 of file PrecedenceRulesGraph.h.

int boost::AlgoNodeStruct::m_index

Definition at line 31 of file PrecedenceRulesGraph.h.

std::string boost::AlgoNodeStruct::m_name

Definition at line 30 of file PrecedenceRulesGraph.h.

int boost::AlgoNodeStruct::m_rank

Definition at line 32 of file PrecedenceRulesGraph.h.

double boost::AlgoNodeStruct::m_runtime

Definition at line 33 of file PrecedenceRulesGraph.h.

The documentation for this struct was generated from the following file:

- GaudiHive/src/PrecedenceRulesGraph.h